<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_bc_func_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d3e05aca7a3899228bc73874ca6b8d8d.html">sd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">sd_bc_func_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacesd__bc__func__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html">sd_bc_func_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a55794316a8cbeaa5bc70c129b94ca188"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188">sd_bc_func_m::sd_bc_init</a> ()</td></tr>
<tr class="separator:a55794316a8cbeaa5bc70c129b94ca188"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4bfba05e526dcb1fcab2db2265edfd2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2">sd_bc_func_m::cleanup_bc_unit</a> (var, UNREGISTER)</td></tr>
<tr class="separator:ac4bfba05e526dcb1fcab2db2265edfd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cddd49a84545175466b740cae32d7bc"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc">sd_bc_func_m::destroy_bc_unit_ptr</a> (var_ptr, UNREGISTER)</td></tr>
<tr class="separator:a7cddd49a84545175466b740cae32d7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a559f12c43553eb35014921be4687bc7b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b">sd_bc_func_m::cleanup_shared_bc</a> (var, UNREGISTER)</td></tr>
<tr class="separator:a559f12c43553eb35014921be4687bc7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aba6176ebb7233fe7ce0bd854ac036b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b">sd_bc_func_m::destroy_shared_bc_ptr</a> (var_ptr, UNREGISTER)</td></tr>
<tr class="separator:a9aba6176ebb7233fe7ce0bd854ac036b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41f083a395add3ceb159010d5ade4d5f"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__bc__defs__m_1_1bc__unit__.html">bc_unit_</a>) function, pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a41f083a395add3ceb159010d5ade4d5f">sd_bc_func_m::add_bc_unit</a> (first_var, boundary)</td></tr>
<tr class="separator:a41f083a395add3ceb159010d5ade4d5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a6fc94f0c13f2937e55eda75b2dd74"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__bc__defs__m_1_1bc__unit__.html">bc_unit_</a>) function, pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#ab3a6fc94f0c13f2937e55eda75b2dd74">sd_bc_func_m::get_bc_unit</a> (first_var, boundary)</td></tr>
<tr class="separator:ab3a6fc94f0c13f2937e55eda75b2dd74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5bf3d2c7fd01fc04b2087d36d51ff5d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#ae5bf3d2c7fd01fc04b2087d36d51ff5d">sd_bc_func_m::delete_bc_unit</a> (del_var, first_var)</td></tr>
<tr class="separator:ae5bf3d2c7fd01fc04b2087d36d51ff5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79dcf80e5cac4d89ed0945e785909c46"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a79dcf80e5cac4d89ed0945e785909c46">sd_bc_func_m::add_bc_target_to_bc_unit</a> (var, data_type)</td></tr>
<tr class="separator:a79dcf80e5cac4d89ed0945e785909c46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6530a4fea0e2c969f11cb14e09c19cf0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a6530a4fea0e2c969f11cb14e09c19cf0">sd_bc_func_m::register_shared_bc</a> (var, sd, data_type, name, ddt_flag, readwrite_flag, auto_register_flag)</td></tr>
<tr class="separator:a6530a4fea0e2c969f11cb14e09c19cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd68a0d76384a49e9ebd60fa74dc4f0"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__bc__defs__m_1_1shared__bc__.html">shared_bc_</a>) function, pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a5cd68a0d76384a49e9ebd60fa74dc4f0">sd_bc_func_m::get_shared_bc</a> (sd, name)</td></tr>
<tr class="separator:a5cd68a0d76384a49e9ebd60fa74dc4f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0f3cc7613f7c507f4257ce3478ee27d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#ab0f3cc7613f7c507f4257ce3478ee27d">sd_bc_func_m::unregister_shared_bc</a> (del_var, sd)</td></tr>
<tr class="separator:ab0f3cc7613f7c507f4257ce3478ee27d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af00bcad5c6aac78a5d14d86042b9e09a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#af00bcad5c6aac78a5d14d86042b9e09a">sd_bc_func_m::unregister_shared_bc_name</a> (sd, name)</td></tr>
<tr class="separator:af00bcad5c6aac78a5d14d86042b9e09a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a084d09c63cf87eca57106dd663fc90e7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a084d09c63cf87eca57106dd663fc90e7">sd_bc_func_m::update_deformed_boundary_data</a> (sd)</td></tr>
<tr class="separator:a084d09c63cf87eca57106dd663fc90e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0829e50ba695150cfd7534d11b33d17d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sd__bc__func__m_8f90.html#a0829e50ba695150cfd7534d11b33d17d">update_shared_bc_index</a> ()</td></tr>
<tr class="separator:a0829e50ba695150cfd7534d11b33d17d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e37e67167b09dfb20ede085e9d87739"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sd__bc__func__m_8f90.html#a2e37e67167b09dfb20ede085e9d87739">get_work_arrays</a> ()</td></tr>
<tr class="separator:a2e37e67167b09dfb20ede085e9d87739"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a25bbf4916e8ce06a2413556b9291b7"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sd__bc__func__m_8f90.html#a8a25bbf4916e8ce06a2413556b9291b7">return_work_arrays</a> ()</td></tr>
<tr class="separator:a8a25bbf4916e8ce06a2413556b9291b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b1606a1bcf5e8f96ccd47d8c4a93b80"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sd__bc__func__m_8f90.html#a3b1606a1bcf5e8f96ccd47d8c4a93b80">update_shared_bc</a> ()</td></tr>
<tr class="separator:a3b1606a1bcf5e8f96ccd47d8c4a93b80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a090b2702ae5a849af2fd9ff26263a6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sd__bc__func__m_8f90.html#a6a090b2702ae5a849af2fd9ff26263a6">update_individual_bc</a> ()</td></tr>
<tr class="separator:a6a090b2702ae5a849af2fd9ff26263a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb868490618bae9e8cffbfc6d69a5af"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#abcb868490618bae9e8cffbfc6d69a5af">sd_bc_func_m::set_boundary_u_to_registered</a> (sd, TO_DUMMY)</td></tr>
<tr class="separator:abcb868490618bae9e8cffbfc6d69a5af"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a47b16b3c8aa6ab5d8bedb2a5b243209a"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__bc__defs__m_1_1bc__unit__.html">bc_unit_</a>), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a47b16b3c8aa6ab5d8bedb2a5b243209a">sd_bc_func_m::last_first_bc_unit</a> =&gt; null()</td></tr>
<tr class="separator:a47b16b3c8aa6ab5d8bedb2a5b243209a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1272cd247083d83c14a195f5f5174235"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__bc__defs__m_1_1bc__unit__.html">bc_unit_</a>), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a1272cd247083d83c14a195f5f5174235">sd_bc_func_m::last_bc_unit</a> =&gt; null()</td></tr>
<tr class="separator:a1272cd247083d83c14a195f5f5174235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a721316f92f8890c1c89d2c67975dd5c9"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(1), target, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__bc__func__m.html#a721316f92f8890c1c89d2c67975dd5c9">sd_bc_func_m::dummy_target_r1</a> = 0.0_WP</td></tr>
<tr class="separator:a721316f92f8890c1c89d2c67975dd5c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a2e37e67167b09dfb20ede085e9d87739"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e37e67167b09dfb20ede085e9d87739">&#9670;&nbsp;</a></span>get_work_arrays()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_deformed_boundary_data::get_work_arrays </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="sd__bc__func__m_8f90_a2e37e67167b09dfb20ede085e9d87739_icgraph.png" border="0" usemap="#sd__bc__func__m_8f90_a2e37e67167b09dfb20ede085e9d87739_icgraph" alt=""/></div>
<map name="sd__bc__func__m_8f90_a2e37e67167b09dfb20ede085e9d87739_icgraph" id="sd__bc__func__m_8f90_a2e37e67167b09dfb20ede085e9d87739_icgraph">
<area shape="rect" id="node2" href="sd__bc__func__m_8f90.html#a0829e50ba695150cfd7534d11b33d17d" title="update_shared_bc_index" alt="" coords="172,517,339,544"/>
<area shape="rect" id="node3" href="namespacesd__bc__func__m.html#a084d09c63cf87eca57106dd663fc90e7" title="sd_bc_func_m::update\l_deformed_boundary_data" alt="" coords="387,510,561,551"/>
<area shape="rect" id="node4" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90" title="ale_m::ale_init" alt="" coords="645,115,752,141"/>
<area shape="rect" id="node13" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771" title="ale_m::ale_md_init\l_step2" alt="" coords="633,477,764,518"/>
<area shape="rect" id="node20" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="631,542,766,583"/>
<area shape="rect" id="node25" href="namespacearts__md__simulation.html#a4971e86fae1dc09785e900173e9ffa36" title="arts_md_simulation\l::recompute_metric_md" alt="" coords="619,622,778,663"/>
<area shape="rect" id="node30" href="namespacearts__simulation.html#a1b4b16af9fee407e863afbeed72c050b" title="arts_simulation::recompute\l_metric" alt="" coords="609,370,788,411"/>
<area shape="rect" id="node39" href="namespaceseparate__domain__m.html#a0052a65186373189458e1788aef56a47" title="separate_domain_m::\lseparate_domain_init" alt="" coords="625,719,772,761"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="849,107,982,149"/>
<area shape="rect" id="node10" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="845,13,985,54"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1061,57,1189,98"/>
<area shape="rect" id="node8" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1057,122,1192,163"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1277,61,1339,88"/>
<area shape="rect" id="node9" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1274,112,1342,139"/>
<area shape="rect" id="node11" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1043,5,1207,32"/>
<area shape="rect" id="node12" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1286,7,1330,33"/>
<area shape="rect" id="node14" href="namespacearts__cf__md__simulation.html#a63472494eee9118b0af0495f6e49ded1" title="arts_cf_md_simulation\l::arts_cf_md_init_step1" alt="" coords="836,477,995,518"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="845,411,985,453"/>
<area shape="rect" id="node15" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1048,477,1201,518"/>
<area shape="rect" id="node16" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1265,517,1351,544"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1057,411,1192,453"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1273,467,1343,493"/>
<area shape="rect" id="node21" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="851,542,979,583"/>
<area shape="rect" id="node22" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1071,543,1178,569"/>
<area shape="rect" id="node23" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="1057,594,1192,635"/>
<area shape="rect" id="node24" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1255,601,1361,628"/>
<area shape="rect" id="node26" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="839,687,992,729"/>
<area shape="rect" id="node28" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="848,622,983,663"/>
<area shape="rect" id="node27" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="1071,711,1178,737"/>
<area shape="rect" id="node29" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1071,660,1178,687"/>
<area shape="rect" id="node31" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="845,310,985,351"/>
<area shape="rect" id="node32" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1071,289,1178,316"/>
<area shape="rect" id="node33" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1260,163,1356,189"/>
<area shape="rect" id="node34" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1262,213,1354,240"/>
<area shape="rect" id="node35" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1279,264,1337,291"/>
<area shape="rect" id="node36" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1271,315,1345,341"/>
<area shape="rect" id="node37" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1259,365,1357,392"/>
<area shape="rect" id="node38" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1279,416,1337,443"/>
<area shape="rect" id="node40" href="namespaceengine__m.html#a31a23ffff41c79b84c8674254bd72eff" title="engine_m::register\l_engine" alt="" coords="851,753,980,794"/>
</map>
</div>

</div>
</div>
<a id="a8a25bbf4916e8ce06a2413556b9291b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a25bbf4916e8ce06a2413556b9291b7">&#9670;&nbsp;</a></span>return_work_arrays()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_deformed_boundary_data::return_work_arrays </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="sd__bc__func__m_8f90_a8a25bbf4916e8ce06a2413556b9291b7_icgraph.png" border="0" usemap="#sd__bc__func__m_8f90_a8a25bbf4916e8ce06a2413556b9291b7_icgraph" alt=""/></div>
<map name="sd__bc__func__m_8f90_a8a25bbf4916e8ce06a2413556b9291b7_icgraph" id="sd__bc__func__m_8f90_a8a25bbf4916e8ce06a2413556b9291b7_icgraph">
<area shape="rect" id="node2" href="sd__bc__func__m_8f90.html#a0829e50ba695150cfd7534d11b33d17d" title="update_shared_bc_index" alt="" coords="187,517,353,544"/>
<area shape="rect" id="node3" href="namespacesd__bc__func__m.html#a084d09c63cf87eca57106dd663fc90e7" title="sd_bc_func_m::update\l_deformed_boundary_data" alt="" coords="401,510,576,551"/>
<area shape="rect" id="node4" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90" title="ale_m::ale_init" alt="" coords="660,115,767,141"/>
<area shape="rect" id="node13" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771" title="ale_m::ale_md_init\l_step2" alt="" coords="648,477,779,518"/>
<area shape="rect" id="node20" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="646,542,781,583"/>
<area shape="rect" id="node25" href="namespacearts__md__simulation.html#a4971e86fae1dc09785e900173e9ffa36" title="arts_md_simulation\l::recompute_metric_md" alt="" coords="634,622,793,663"/>
<area shape="rect" id="node30" href="namespacearts__simulation.html#a1b4b16af9fee407e863afbeed72c050b" title="arts_simulation::recompute\l_metric" alt="" coords="624,370,803,411"/>
<area shape="rect" id="node39" href="namespaceseparate__domain__m.html#a0052a65186373189458e1788aef56a47" title="separate_domain_m::\lseparate_domain_init" alt="" coords="640,719,787,761"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="863,107,997,149"/>
<area shape="rect" id="node10" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="860,13,1000,54"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1075,57,1203,98"/>
<area shape="rect" id="node8" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1072,122,1207,163"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1291,61,1354,88"/>
<area shape="rect" id="node9" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1289,112,1357,139"/>
<area shape="rect" id="node11" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1057,5,1221,32"/>
<area shape="rect" id="node12" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1301,7,1345,33"/>
<area shape="rect" id="node14" href="namespacearts__cf__md__simulation.html#a63472494eee9118b0af0495f6e49ded1" title="arts_cf_md_simulation\l::arts_cf_md_init_step1" alt="" coords="851,477,1009,518"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="860,411,1000,453"/>
<area shape="rect" id="node15" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1063,477,1216,518"/>
<area shape="rect" id="node16" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1279,517,1366,544"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1072,411,1207,453"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1288,467,1357,493"/>
<area shape="rect" id="node21" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="866,542,994,583"/>
<area shape="rect" id="node22" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1086,543,1193,569"/>
<area shape="rect" id="node23" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="1072,594,1207,635"/>
<area shape="rect" id="node24" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1269,601,1376,628"/>
<area shape="rect" id="node26" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="853,687,1007,729"/>
<area shape="rect" id="node28" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="863,622,997,663"/>
<area shape="rect" id="node27" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="1086,711,1193,737"/>
<area shape="rect" id="node29" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1086,660,1193,687"/>
<area shape="rect" id="node31" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="860,310,1000,351"/>
<area shape="rect" id="node32" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1086,289,1193,316"/>
<area shape="rect" id="node33" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1275,163,1371,189"/>
<area shape="rect" id="node34" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1277,213,1369,240"/>
<area shape="rect" id="node35" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1294,264,1351,291"/>
<area shape="rect" id="node36" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1285,315,1360,341"/>
<area shape="rect" id="node37" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1273,365,1372,392"/>
<area shape="rect" id="node38" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1294,416,1351,443"/>
<area shape="rect" id="node40" href="namespaceengine__m.html#a31a23ffff41c79b84c8674254bd72eff" title="engine_m::register\l_engine" alt="" coords="865,753,995,794"/>
</map>
</div>

</div>
</div>
<a id="a6a090b2702ae5a849af2fd9ff26263a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a090b2702ae5a849af2fd9ff26263a6">&#9670;&nbsp;</a></span>update_individual_bc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_deformed_boundary_data::update_individual_bc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_cgraph.png" border="0" usemap="#sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_cgraph" alt=""/></div>
<map name="sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_cgraph" id="sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="196,13,292,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="340,5,471,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_icgraph.png" border="0" usemap="#sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_icgraph" alt=""/></div>
<map name="sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_icgraph" id="sd__bc__func__m_8f90_a6a090b2702ae5a849af2fd9ff26263a6_icgraph">
<area shape="rect" id="node2" href="namespacesd__bc__func__m.html#a084d09c63cf87eca57106dd663fc90e7" title="sd_bc_func_m::update\l_deformed_boundary_data" alt="" coords="196,510,371,551"/>
<area shape="rect" id="node3" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90" title="ale_m::ale_init" alt="" coords="455,115,561,141"/>
<area shape="rect" id="node12" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771" title="ale_m::ale_md_init\l_step2" alt="" coords="443,477,573,518"/>
<area shape="rect" id="node19" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="441,542,575,583"/>
<area shape="rect" id="node24" href="namespacearts__md__simulation.html#a4971e86fae1dc09785e900173e9ffa36" title="arts_md_simulation\l::recompute_metric_md" alt="" coords="429,622,587,663"/>
<area shape="rect" id="node29" href="namespacearts__simulation.html#a1b4b16af9fee407e863afbeed72c050b" title="arts_simulation::recompute\l_metric" alt="" coords="419,370,597,411"/>
<area shape="rect" id="node38" href="namespaceseparate__domain__m.html#a0052a65186373189458e1788aef56a47" title="separate_domain_m::\lseparate_domain_init" alt="" coords="435,719,581,761"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="658,107,791,149"/>
<area shape="rect" id="node9" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="655,13,795,54"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="870,57,998,98"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="867,122,1001,163"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1086,61,1149,88"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1083,112,1151,139"/>
<area shape="rect" id="node10" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="852,5,1016,32"/>
<area shape="rect" id="node11" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1095,7,1139,33"/>
<area shape="rect" id="node13" href="namespacearts__cf__md__simulation.html#a63472494eee9118b0af0495f6e49ded1" title="arts_cf_md_simulation\l::arts_cf_md_init_step1" alt="" coords="645,477,804,518"/>
<area shape="rect" id="node16" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="655,411,795,453"/>
<area shape="rect" id="node14" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="857,477,1011,518"/>
<area shape="rect" id="node15" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1074,517,1161,544"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="867,411,1001,453"/>
<area shape="rect" id="node18" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1083,467,1152,493"/>
<area shape="rect" id="node20" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="661,542,789,583"/>
<area shape="rect" id="node21" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="881,543,987,569"/>
<area shape="rect" id="node22" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="867,594,1001,635"/>
<area shape="rect" id="node23" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1064,601,1171,628"/>
<area shape="rect" id="node25" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="648,687,801,729"/>
<area shape="rect" id="node27" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="657,622,792,663"/>
<area shape="rect" id="node26" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="881,711,987,737"/>
<area shape="rect" id="node28" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="881,660,987,687"/>
<area shape="rect" id="node30" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="655,310,795,351"/>
<area shape="rect" id="node31" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="881,289,987,316"/>
<area shape="rect" id="node32" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1069,163,1165,189"/>
<area shape="rect" id="node33" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1071,213,1163,240"/>
<area shape="rect" id="node34" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1089,264,1146,291"/>
<area shape="rect" id="node35" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1080,315,1155,341"/>
<area shape="rect" id="node36" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1068,365,1167,392"/>
<area shape="rect" id="node37" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1089,416,1146,443"/>
<area shape="rect" id="node39" href="namespaceengine__m.html#a31a23ffff41c79b84c8674254bd72eff" title="engine_m::register\l_engine" alt="" coords="660,753,789,794"/>
</map>
</div>

</div>
</div>
<a id="a3b1606a1bcf5e8f96ccd47d8c4a93b80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b1606a1bcf5e8f96ccd47d8c4a93b80">&#9670;&nbsp;</a></span>update_shared_bc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_deformed_boundary_data::update_shared_bc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="sd__bc__func__m_8f90_a3b1606a1bcf5e8f96ccd47d8c4a93b80_icgraph.png" border="0" usemap="#sd__bc__func__m_8f90_a3b1606a1bcf5e8f96ccd47d8c4a93b80_icgraph" alt=""/></div>
<map name="sd__bc__func__m_8f90_a3b1606a1bcf5e8f96ccd47d8c4a93b80_icgraph" id="sd__bc__func__m_8f90_a3b1606a1bcf5e8f96ccd47d8c4a93b80_icgraph">
<area shape="rect" id="node2" href="namespacesd__bc__func__m.html#a084d09c63cf87eca57106dd663fc90e7" title="sd_bc_func_m::update\l_deformed_boundary_data" alt="" coords="181,510,356,551"/>
<area shape="rect" id="node3" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90" title="ale_m::ale_init" alt="" coords="440,115,547,141"/>
<area shape="rect" id="node12" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771" title="ale_m::ale_md_init\l_step2" alt="" coords="428,477,559,518"/>
<area shape="rect" id="node19" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="426,542,561,583"/>
<area shape="rect" id="node24" href="namespacearts__md__simulation.html#a4971e86fae1dc09785e900173e9ffa36" title="arts_md_simulation\l::recompute_metric_md" alt="" coords="414,622,573,663"/>
<area shape="rect" id="node29" href="namespacearts__simulation.html#a1b4b16af9fee407e863afbeed72c050b" title="arts_simulation::recompute\l_metric" alt="" coords="404,370,583,411"/>
<area shape="rect" id="node38" href="namespaceseparate__domain__m.html#a0052a65186373189458e1788aef56a47" title="separate_domain_m::\lseparate_domain_init" alt="" coords="420,719,567,761"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="643,107,777,149"/>
<area shape="rect" id="node9" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="640,13,780,54"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="855,57,983,98"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="852,122,987,163"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1071,61,1134,88"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1069,112,1137,139"/>
<area shape="rect" id="node10" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="837,5,1001,32"/>
<area shape="rect" id="node11" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1081,7,1125,33"/>
<area shape="rect" id="node13" href="namespacearts__cf__md__simulation.html#a63472494eee9118b0af0495f6e49ded1" title="arts_cf_md_simulation\l::arts_cf_md_init_step1" alt="" coords="631,477,789,518"/>
<area shape="rect" id="node16" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="640,411,780,453"/>
<area shape="rect" id="node14" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="843,477,996,518"/>
<area shape="rect" id="node15" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1059,517,1146,544"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="852,411,987,453"/>
<area shape="rect" id="node18" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1068,467,1137,493"/>
<area shape="rect" id="node20" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="646,542,774,583"/>
<area shape="rect" id="node21" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="866,543,973,569"/>
<area shape="rect" id="node22" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="852,594,987,635"/>
<area shape="rect" id="node23" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1049,601,1156,628"/>
<area shape="rect" id="node25" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="633,687,787,729"/>
<area shape="rect" id="node27" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="643,622,777,663"/>
<area shape="rect" id="node26" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="866,711,973,737"/>
<area shape="rect" id="node28" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="866,660,973,687"/>
<area shape="rect" id="node30" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="640,310,780,351"/>
<area shape="rect" id="node31" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="866,289,973,316"/>
<area shape="rect" id="node32" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1055,163,1151,189"/>
<area shape="rect" id="node33" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1057,213,1149,240"/>
<area shape="rect" id="node34" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1074,264,1131,291"/>
<area shape="rect" id="node35" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1065,315,1140,341"/>
<area shape="rect" id="node36" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1053,365,1152,392"/>
<area shape="rect" id="node37" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1074,416,1131,443"/>
<area shape="rect" id="node39" href="namespaceengine__m.html#a31a23ffff41c79b84c8674254bd72eff" title="engine_m::register\l_engine" alt="" coords="645,753,775,794"/>
</map>
</div>

</div>
</div>
<a id="a0829e50ba695150cfd7534d11b33d17d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0829e50ba695150cfd7534d11b33d17d">&#9670;&nbsp;</a></span>update_shared_bc_index()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_deformed_boundary_data::update_shared_bc_index </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="sd__bc__func__m_8f90.html#a2e37e67167b09dfb20ede085e9d87739">get_work_arrays()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="sd__bc__func__m_8f90.html#a8a25bbf4916e8ce06a2413556b9291b7">return_work_arrays()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_cgraph.png" border="0" usemap="#sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_cgraph" alt=""/></div>
<map name="sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_cgraph" id="sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_cgraph">
<area shape="rect" id="node2" href="sd__bc__func__m_8f90.html#a2e37e67167b09dfb20ede085e9d87739" title="get_work_arrays" alt="" coords="227,5,346,32"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="239,56,335,83"/>
<area shape="rect" id="node5" href="sd__bc__func__m_8f90.html#a8a25bbf4916e8ce06a2413556b9291b7" title="return_work_arrays" alt="" coords="220,107,353,133"/>
<area shape="rect" id="node4" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="401,49,532,90"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_icgraph.png" border="0" usemap="#sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_icgraph" alt=""/></div>
<map name="sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_icgraph" id="sd__bc__func__m_8f90_a0829e50ba695150cfd7534d11b33d17d_icgraph">
<area shape="rect" id="node2" href="namespacesd__bc__func__m.html#a084d09c63cf87eca57106dd663fc90e7" title="sd_bc_func_m::update\l_deformed_boundary_data" alt="" coords="220,510,395,551"/>
<area shape="rect" id="node3" href="namespaceale__m.html#a83958d8598eeb0e5e1758e191d29af90" title="ale_m::ale_init" alt="" coords="479,115,585,141"/>
<area shape="rect" id="node12" href="namespaceale__m.html#af10ad0578f0db17e295c5e20ea1eb771" title="ale_m::ale_md_init\l_step2" alt="" coords="467,477,597,518"/>
<area shape="rect" id="node19" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="465,542,599,583"/>
<area shape="rect" id="node24" href="namespacearts__md__simulation.html#a4971e86fae1dc09785e900173e9ffa36" title="arts_md_simulation\l::recompute_metric_md" alt="" coords="453,622,611,663"/>
<area shape="rect" id="node29" href="namespacearts__simulation.html#a1b4b16af9fee407e863afbeed72c050b" title="arts_simulation::recompute\l_metric" alt="" coords="443,370,621,411"/>
<area shape="rect" id="node38" href="namespaceseparate__domain__m.html#a0052a65186373189458e1788aef56a47" title="separate_domain_m::\lseparate_domain_init" alt="" coords="459,719,605,761"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="682,107,815,149"/>
<area shape="rect" id="node9" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="679,13,819,54"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="894,57,1022,98"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="891,122,1025,163"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1110,61,1173,88"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1107,112,1175,139"/>
<area shape="rect" id="node10" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="876,5,1040,32"/>
<area shape="rect" id="node11" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1119,7,1163,33"/>
<area shape="rect" id="node13" href="namespacearts__cf__md__simulation.html#a63472494eee9118b0af0495f6e49ded1" title="arts_cf_md_simulation\l::arts_cf_md_init_step1" alt="" coords="669,477,828,518"/>
<area shape="rect" id="node16" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="679,411,819,453"/>
<area shape="rect" id="node14" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="881,477,1035,518"/>
<area shape="rect" id="node15" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1098,517,1185,544"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="891,411,1025,453"/>
<area shape="rect" id="node18" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1107,467,1176,493"/>
<area shape="rect" id="node20" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="685,542,813,583"/>
<area shape="rect" id="node21" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="905,543,1011,569"/>
<area shape="rect" id="node22" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="891,594,1025,635"/>
<area shape="rect" id="node23" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1088,601,1195,628"/>
<area shape="rect" id="node25" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="672,687,825,729"/>
<area shape="rect" id="node27" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="681,622,816,663"/>
<area shape="rect" id="node26" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="905,711,1011,737"/>
<area shape="rect" id="node28" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="905,660,1011,687"/>
<area shape="rect" id="node30" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="679,310,819,351"/>
<area shape="rect" id="node31" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="905,289,1011,316"/>
<area shape="rect" id="node32" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1093,163,1189,189"/>
<area shape="rect" id="node33" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1095,213,1187,240"/>
<area shape="rect" id="node34" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1113,264,1170,291"/>
<area shape="rect" id="node35" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1104,315,1179,341"/>
<area shape="rect" id="node36" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1092,365,1191,392"/>
<area shape="rect" id="node37" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1113,416,1170,443"/>
<area shape="rect" id="node39" href="namespaceengine__m.html#a31a23ffff41c79b84c8674254bd72eff" title="engine_m::register\l_engine" alt="" coords="684,753,813,794"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
